@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group row">
        <label for="{{str_replace('.', '_', $key)}}"
               class="col-sm-2 col-form-label">{{isset($placeholder)?$placeholder:null}}</label>
        <div class="col-sm-10">
            <div class="fileinput fileinput-new" data-provides="fileinput">
                <div class="fileinput-new thumbnail" style="width: 200px; height: 150px;">
                    @if(isset($value) && strlen($value) > 0)
                        <img src="{{$value}}" height="142" alt="...">
                    @endif
                </div>
                <div class="fileinput-preview fileinput-exists thumbnail"
                     style="max-width: 200px; max-height: 150px;"></div>
                <div>
                    <span class="btn btn-outline-secondary btn-file">
                        <span class="fileinput-new">Select image</span>
                        <span class="fileinput-exists">Change</span>
                        <input type="file" name="{{$key}}" @if(isset($attributes))
                        @forelse($attributes as $attr_key => $attr_val)
                        {!!  is_int($attr_key) ? $attr_val . " " : sprintf(' %s="%s"', $attr_key, $attr_val) !!}
                        @empty
                        @endforelse
                        @endif
                        @if(isset($placeholder)) placeholder="{{$placeholder}}" @endif/></span>
                    <a href="#" class="btn btn-outline-secondary fileinput-exists" data-dismiss="fileinput">Remove</a>
                </div>
            </div>
            @if($errors->has($key))
                <div class="invalid-feedback">{!! $errors->first($key) !!}</div>
            @endif
        </div>
    </div>
@endif