@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group{!! $errors->has($key) ? ' has-error' : null !!}"
         @if(isset($veeValidate)) :class="{'has-error' : errors.has('{{$key }}')}" @endif>
        <label class="control-label"
               for="{{str_replace('.', '_', $key)}}"{{!isset($placeholder)?' class="sr-only"':null}}>{{isset($placeholder)?$placeholder:null}}</label>
        <select class="form-control select-2" style="width: 100%"
                id="{{str_replace('.', '_', $key)}}" name="{{ inputKeyToName($key) }}"
                @if(isset($validate))
                v-validate="'{{$validate}}'"
                @endif
                :class="{'is-invalid': errors.has('{{ inputKeyToName($key) }}')}"
                @if(isset($attributes) && is_array($attributes) && !empty($attributes))
                @foreach($attributes as $attr_key => $attr_val )
                @if(is_int($attr_key))
                {{$attr_val}}
                @else
                {!! sprintf('%s="%s"', $attr_key, $attr_val) !!}
                @endif
                @endforeach
                @endif

                @if(isset($placeholder)) title="{{$placeholder}}" @endif>
            <option></option>
            @forelse($options as $optionValue => $text)
                <option value="{!! $optionValue !!}" {{ isset($value) && $optionValue == $value? 'selected' :null }}>
                    {!! $text !!}
                </option>
            @empty
            @endforelse
        </select>


        <div v-if="errors.has('{{inputKeyToName($key)}}')" class="invalid-feedback" role="alert">
            @{{errors.first('{!! inputKeyToName($key) !!}')}}
        </div>

    </div>
@endif
