@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group mb-3 {!! $errors->has($key) ? ' has-error' : null !!}">
        <div class="col-xs-12" :class="{'is-invalid': errors.has('{{ inputKeyToName($key) }}')}">
            <div class="custom-control custom-checkbox">
                <input type="hidden" name="{{ inputKeyToName($key) }}" value="0">
                <input type="checkbox"
                       id="{{ inputKeyToName($key) }}"
                       class="custom-control-input"
                       :class="{'is-invalid': errors.has('{{ inputKeyToName($key) }}')}"
                       name="{{ inputKeyToName($key) }}"
                       data-vv-as="{{$placeholder}}"
                       value="1"
                       @isset($validate)
                       v-validate="'{{ $validate }}'"
                       @endisset
                       @if(isset($value) && $value == 1)
                       checked
                    @endif
                />
                <label class="custom-control-label" for="{{ inputKeyToName($key) }}">
                    {!! $placeholder !!}
                </label>
            </div>
        </div>
        <div v-if="errors.has('{{inputKeyToName($key)}}')" class="invalid-feedback" role="alert">
            @{{errors.first('{!! inputKeyToName($key) !!}')}}
        </div>
    </div>
@endif
